LINUX.ORG.RU

Ответ на: комментарий от intelfx

К сожалению, на эту стюарессу еще долго придётся натыкаться то тут, то там.

Deleted ()
Ответ на: комментарий от intelfx

PEP 572 (assignment expressions) же.

Вот и стоило заморачиваться с «академически правильным» синтаксисом, чтобы сделать из языка сишечку?

Deleted ()
Ответ на: комментарий от Deleted

Вот и стоило заморачиваться с «академически правильным» синтаксисом, чтобы сделать из языка сишечку?

Да, надо сначала дождаться пока взлетит, потом усложнять. Наоборот не работает. Это Gall’s law.

NeXTSTEP ★★ ()
Ответ на: комментарий от NeXTSTEP

Да, надо сначала дождаться пока взлетит, потом усложнять.

1. Сразу сделать assignment expression и забыть о проблеме навсегда.

2. Сначала придумать assignment statement, кучу лет писать в «правильном» многословном стиле, потом сдаться и добавить assignment expression с отдельным синтаксисом.

По твоей логике второй вариант проще. По моей — нет.

Deleted ()
Ответ на: комментарий от Deleted

Ну кто же знал-то. Так и другие «фичи» притянуть можно было. Например,

  1. Сразу сделать ручное управление памятью и забыть о проблеме навсегда.
  1. Сначала придумать сборщик мусора, кучу лет писать в «правильном» стиле без аллокаций там где нужна производительность, потом сдаться и сделать GC опциональным.
NeXTSTEP ★★ ()
Ответ на: комментарий от NeXTSTEP

Ручное управление памятью в языках наподобие питона — это костыль. А синтаксис выражений во всех императивных языках должен решать примерно одни и те же задачи.

Ну кто же знал-то.

Ну наверное да.

Deleted ()

Кек, теперь в дженте аж пять версий педона будет торчать. Хотя там на 3.7 ещё не все пакеты перелезли и при сборке он продолжает срать в /usr/lib тем, что должен укладывать в /usr/lib64.

imul ★★★★★ ()
Ответ на: комментарий от question4

А ты мастер сравнения членов с задницами.

imul ★★★★★ ()
Ответ на: комментарий от imul

Не надо драмматизировать.

Если тебе важен питон, то для тебя совершенно фиолетово, какой именно и сколько различных версий установлено и используется в качестве системного, потому что с вероятностью очень большой, нужную для твоего окружения версию ты ставишь либо самостоятельно, либо специфическими средствами для разворачивания окружения.

И генту здесь совершенно не причём.

vvn_black ★★★★★ ()
Последнее исправление: vvn_black (всего исправлений: 1)
Ответ на: комментарий от vvn_black

С чего ты вдруг решил, что он мне важен?

для тебя совершенно фиолетово, какой именно и сколько различных версий установлено и используется в качестве системного

Кек, в дженте в качестве системного используются как минимум два.

imul ★★★★★ ()
Ответ на: комментарий от imul

С чего ты вдруг решил, что он мне важен?

А чего ты сагрился на новость тогда?

Кек, в дженте в качестве системного используются как минимум два.

Да хоть три. Кому это интересно, кроме майнтейнеров? Кому нужен 3.8 или 2.5 или даже 3.4, не проблема использовать каждый и все вместе отдельно от тех, что установлены в системе.

vvn_black ★★★★★ ()
Последнее исправление: vvn_black (всего исправлений: 2)
Ответ на: комментарий от vvn_black

А чего ты сагрился на новость тогда?

В каком месте?

Да хоть три. Кому это интересно, кроме майнтейнеров? Кому нужен 3.8 или 2.5 или даже 3.4, не проблема использовать каждый и все вместе отдельно от тех, что установлены в системе.

Мда. Ступайте, втирайте свои фэнтези первокурсницам.

imul ★★★★★ ()

завезли вам что-нибудь нужного?

самый скучный релиз питона в истории(

gistart ()

А после 3.9 будет 4?

grim ★★☆☆ ()

В магазине Windows Store уже выложен. И вроде в отличии от 3.7 уже считается нормальным для серьёзного использования.

Удивительная ситуация, когда уже Python в Windows ставится одной кнопкой, а чтобы новую версию в линуксы засадить надо знатно поплясать 😐

А ведь когда-то Python под винду — это было недоразумение.

fornlr ★★★★★ ()
Последнее исправление: fornlr (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.